package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductTemplateV2Model = (*customFsProductTemplateV2Model)(nil)

type (
	// FsProductTemplateV2Model is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductTemplateV2Model.
	FsProductTemplateV2Model interface {
		fsProductTemplateV2Model
	}

	customFsProductTemplateV2Model struct {
		*defaultFsProductTemplateV2Model
	}
)

// NewFsProductTemplateV2Model returns a model for the database table.
func NewFsProductTemplateV2Model(conn sqlx.SqlConn) FsProductTemplateV2Model {
	return &customFsProductTemplateV2Model{
		defaultFsProductTemplateV2Model: newFsProductTemplateV2Model(conn),
	}
}
