package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsTagsModel = (*customFsTagsModel)(nil)

type (
	// FsTagsModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsTagsModel.
	FsTagsModel interface {
		fsTagsModel
	}

	customFsTagsModel struct {
		*defaultFsTagsModel
	}
)

// NewFsTagsModel returns a model for the database table.
func NewFsTagsModel(conn sqlx.SqlConn) FsTagsModel {
	return &customFsTagsModel{
		defaultFsTagsModel: newFsTagsModel(conn),
	}
}
